# BEGIN SourceDeps(oneline):
BuildRequires: perl(App/Goto.pm) perl(Config/Tiny.pm) perl(Data/Dumper.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Net/Amazon/EC2.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name App-Goto-Amazon
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Shorthand way of ssh'ing to AWS EC2 servers
Group: Development/Perl
License: perl
URL: https://github.com/oneandoneis2/App-Goto-Amazon

Source0: http://cpan.org.ua/authors/id/O/ON/ONEONETWO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
App::Goto::Amazon is called by the included 'ssa' script. If no arguments are supplied,
ssa will simply print a list of running EC2 instances. If arguments are supplied, then
the script will look for an instance whose name matches all supplied arguments (in order)
and, if it finds one, will ssh to it. If the arguments are ambiguous, the first match will
be used

Requires your Amazon keys in a ~/.ssa file - see ssa.example file for template

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/A*

%files scripts
%_bindir/*

%changelog
* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

